<div class="d-flex justify-content-between mt-5">
  <div class="sub-head">Basic Information List</div>
  <%= link_to "Add", new_basic_information_path, class: "btn btn-primary btn-blue" %>
</div>

<div class="table-responsive mt-5">
  <table class="table table-striped table-borderless table-custom">
    <thead class="table-purple">
      <tr>
        <th scope="col">University Name</th>
        <th scope="col">Date Of Establishment</th>
        <th scope="col">Date Of Operationalization</th>
        <th scope="col">Address </th>
        <th scope="col">NIRF Rank</th>
        <th scope="col">NAAC Status</th>
        <th scope="col">Actions</th>
      </tr>
    </thead>
    <tbody>
      <% @basic_informations.each do |basic_information| %>
        <tr>
          <td><%= basic_information.university_name %></td>
          <td><%= basic_information.date_of_establishment %></td>
          <td><%= basic_information.date_of_operationalization %></td>
          <td><%= basic_information.address %></td>
          <td><%= basic_information.nirf_rank %></td>
          <td>
            <%= render 'naac_status_table', :basic_information => basic_information %>
          </td>
          <td>
            <%= link_to image_tag("edit.svg", class: "btn btn-bg btn-edit"), edit_basic_information_path(basic_information) %>
            <%= link_to image_tag("delete.svg", class: "btn btn-bg"), basic_information_path(basic_information), data: { turbo_method: :delete, confirm: 'Are you sure?' } %>
          </td>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>
